The latest version of Xamarin.iOS is now supported on MacinCloud Managed Servers with macOS Big Sur. This SDK will be required if you are going to use any of the following simulators: iOS 14.5 , tvOS 14.5, and watchOS 7.4. Visit the Managed Server Plan page to quickly get started!



What's new?

As of Xamarin.iOS version 14.16.05, a series of frameworks native to macOS were updated. There is more information on the list of frameworks updated here:

  • Support for Xcode 12.5
  • Support for iOS 14.5 , tvOS 14.5, and watchOS 7.4.


Requirements

  1. The latest features and APIs require Xcode 12.5 and the bundled iOS, tvOS and watchOS 
  2. Apple Xcode 12.5 requires a Mac running macOS Big Sur (11.0) or newer


Note: 

The Xamarin.iOS version on MacinCloud macOS Catalina Servers cannot be updated above version 14.14 as they are limited to Xcode 12.4. Updating the current Xamarin.iOS version will lead to broken header files and generate the following error:

  • "This version of Xamarin.iOS requires the iOS 14.5 SDK (shipped with Xcode 12.5 Either upgrade Xcode to get the required header files or set the managed linker behavior to Link Framework SDKs Only in your projects iOS Build Options > Linker Behavior(to try to avoid the new APIs)."



Interested in MacinCloud Managed Servers? 


Visit the Managed Server Plan page to obtain a Managed server.



Do you require full root/admin privileges on a MacinCloud Server?

Find out more about MacinCloud Dedicated Server Plans.